package com.m2pool.auth.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Email;

/**
 * @Description 管理系统用户登录请求对象
 * @Date 2025/5/22 16:13
 * @Author yyb
 */
@Data
@ApiModel(description = "")
public class LoginManageBody {

    /** 邮箱 */
    @Email
    @ApiModelProperty(value = "邮箱", required = true, example = "")
    private String userName;

    /** 密码 */
    @ApiModelProperty(value = "密码", required = true, example = "")
    private String password;

    private String uuid;

    //private boolean flag = false;
}
