package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 收益
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class ProfitDto implements Serializable {

    /** 算力范围低值 */
    private long id;

    /** 结算时间 */
    private Date date;

    /** 收益 */
    private BigDecimal profit;

    private int status;
}
