package com.m2pool.pool.entity;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description 文件
 * @Date 2024/6/14 15:57
 * @Author dy
 */
@Data
public class BlockNewInfo implements Serializable {

    /** 全网报块 */
    private long blocks;


    private long currentblocksize;

    private long currentblocktx;

    private long currentmaxblocksize;

    /**
     * 全网难度
     */
    private BigDecimal difficulty;

    private String errors;

    private BigDecimal networkhashps;

    private long pooledtx;

    private String chain;

    private Map<String, MinerInfo> miners;

    @Data
    public class MinerInfo {
        private Long lastrequest;
    }
}
