package com.m2pool.pool.entity;

import lombok.Data;

import java.io.OutputStream;
import java.math.BigDecimal;
import java.net.HttpURLConnection;
import java.net.Socket;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingDeque;

/**
 * @Description TODO
 * @Date 2025/3/17 10:00
 * @Author 杜懿
 */
@Data
public class TempMiner {
    public String coin;
    public String pool;
    public String user;
    public String password;
    public int id;
    public String state;
    // net.conn
    public OutputStream conn;
    public String extraNonce1;
    public int extraNonce2Size;
    public double difficulty;
    public String jobId;
    public String header;
    public String nbits;
    //64位无符号整数
    public BigDecimal jobTime;
    public String blockData;
    //64位无符号整数
    public long nonce;
    public long blockNonce;
    //chan bool
    private final BlockingQueue<Boolean> newJobCh = new LinkedBlockingDeque<>();
    public volatile boolean running = false;
    public volatile boolean newJob = false;

}
