package com.m2pool.pool.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description 只读页面 分页
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class GoogleBindVo {

    /**
     * 谷歌验证器 安全码
     */
    @NotBlank
    public String secret;

    /**
     * 谷歌验证器验证码
     */
    public long gCode;

    /**
     * 邮箱验证码
     */
    @NotBlank
    public String eCode;

    /**
     * 当前用户密码
     */
    @NotBlank
    public String pwd;



}
