package com.m2pool.pool.vo;

import com.m2pool.common.core.xss.Xss;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @Description 只读页面 条件分页
 * @Date 2024/6/18 14:05
 * @Author 杜懿
 */
@Data
public class ReadOnlyListVo {

    @NotBlank(message = "请先选择币种")
    @Xss()
    public String key;

    public int type;

    public String filter;

    /** 排序字段  传参范围["30m","24h"]*/
    public String sort;

    /** 排序规则 传参范围["asc","desc"]*/
    public String collation;

    public int limit = 10;

    public int page = 1;

}
