package com.m2pool.system.api.model;

import com.m2pool.system.api.entity.SysUser;
import lombok.Data;

import java.io.Serializable;
import java.util.Set;

/**
 * @Description 登陆的用户信息
 * @Date 2024/6/12 15:13
 * @Author dy
 */
@Data
public class OpenApiKeyInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 用户唯一标识 */
    private String key;

    /** 用户邮箱 */
    private String user;

    /** 登录时间 */
    private Long loginTime;

    /** 过期时间 */
    private Long expireTime;

    /** apiKey绑定的ip */
    private String apiIp;

    /** 登录IP地址 */
    private String ipaddr;

    private Set<String> permissions;


}
