package com.m2pool.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @Description 矿工在离线返回对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "矿工在离线返回对象")
public class ManageMiningUserOnlineDto {

    //@ApiModelProperty(value = "挖矿账户",example = "a1xsminer",required = true)
    //private String minerUser;

    @ApiModelProperty(value = "时间",example = "2025-06-27 16:30:00",required = true)
    private Date date;

    @ApiModelProperty(value = "在线数量",example = "15")
    private Integer onlineNum;

    @ApiModelProperty(value = "离线数量",example = "10")
    private Integer offlineNum;
}
