package com.m2pool.manage.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.m2pool.common.core.web.Result.PageResult;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @Description 广播信息实体类
 * @Date 2025/5/22 14:13
 * @Author yyb
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ManageBroadcast {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private String content;

    private String contentEn;

    private String createUser;

    private String updateUser;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private Boolean del;

    private String buttonContent;

    private String buttonPath;

    private String buttonContentEn;
}
