package com.m2pool.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description 分页请求对象
 * @Date 2025/5/23 09:52
 * @Author yyb
 */
@Data
@ApiModel(value = "分页请求对象")
public class PageVo {
    @ApiModelProperty(value = "当前页码",example = "1")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数",example = "20")
    private Integer pageSize;

}
