package com.m2pool.pool.dto;

import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @ClassName BlockTimeAndNumberDto
 * @Description 报块数和时间范围返回对象
 * @Author yyb
 * @Date 2025/5/7 11:26
 */
@Data
@Builder
public class BlockTimeAndNumberDto {
    /** 区块高度 */
    private int height;

    /** 报块时间 */
    private BigDecimal dateLength;

}
