package com.m2pool.pool.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 矿工信息总览表对象
 * @Date 2024/6/13 11:17
 * @Author dy
 */
@Data
public class MinerDto implements Serializable {

    private String id;

    /** 矿工名 */
    private String miner;

    /** 1小时平均算力 */
    private double rate;

    /** 24小时平均算力 */
    private double dailyRate;

    /** 拒绝率 */
    private double reject;

    /** 最后提交时间 */
    private Date submit;

    private String status;

    private long offline = 0;

}
